package com.hzya.frame.voucher.ae.comf.subject.controller;

import com.hzya.frame.voucher.ae.comf.subject.entity.AeConfSubjectContrastEntity;
import com.hzya.frame.voucher.ae.comf.subject.service.IAeConfSubjectContrastService;
import com.hzya.frame.web.action.DefaultController;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * Created by zydd on 2025-05-30 15:13
 */
@RestController
@RequestMapping("/ae/conf/subjectContrast")
public class ContrastController extends DefaultController {

    @Autowired
    private IAeConfSubjectContrastService aeConfSubjectContrastService;

    @RequestMapping(value = "/queryAll", method = RequestMethod.POST)
    public JsonResultEntity queryAll(@RequestBody AeConfSubjectContrastEntity entity){
        try {
            List<AeConfSubjectContrastEntity> all = aeConfSubjectContrastService.queryAll(entity);
            return getSuccessMessageEntity("请求成功",all);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败",e.getMessage());
        }
    }
    @RequestMapping(value = "/queryById", method = RequestMethod.POST)
    public JsonResultEntity queryById(@RequestBody AeConfSubjectContrastEntity entity){
        try {
            AeConfSubjectContrastEntity queryById = aeConfSubjectContrastService.queryById(entity);
            return getSuccessMessageEntity("请求成功",queryById);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败",e.getMessage());
        }
    }

    @RequestMapping(value = "/save", method = RequestMethod.POST)
    public JsonResultEntity save(@RequestBody AeConfSubjectContrastEntity entity){
        try {
            AeConfSubjectContrastEntity save = aeConfSubjectContrastService.saveEntity(entity);
            return getSuccessMessageEntity("请求成功",save);
        } catch (Exception e) {
            e.printStackTrace();
            return getFailureMessageEntity("请求失败",e.getMessage());
        }
    }
}
