package com.hzya.frame.voucher.ae.comf.subject.entity;

import java.util.Date;

import com.hzya.frame.web.entity.BaseEntity;
import lombok.Data;

/**
 * 会计事项(accounting_event)-配置-科目对照_子表(AeConfSubjectContrastB)实体类
 *
 * @author zydd
 * @since 2025-06-04 10:30:42
 */
@Data
public class AeConfSubjectContrastBEntity extends BaseEntity {

    /**
     * 对照表id
     */
    private Long contrastId;
    /**
     * 公司pk
     */
    private String pkCorp;
    /**
     * 目标档案值（会计科目)
     */
    private String desdocvalue;
    /**
     * 来源档案值1
     */
    private String factorvalue1;
    /**
     * 来源档案值2
     */
    private String factorvalue2;
    /**
     * 来源档案值3
     */
    private String factorvalue3;
    /**
     * 来源档案值4
     */
    private String factorvalue4;
    /**
     * 来源档案值5
     */
    private String factorvalue5;
    /**
     * 来源档案值6
     */
    private String factorvalue6;
    /**
     * 来源档案值7
     */
    private String factorvalue7;
    /**
     * 来源档案值8
     */
    private String factorvalue8;
    /**
     * 来源档案值9
     */
    private String factorvalue9;
    /**
     * 备注
     */
    private String remark;
    private String def1;
    private String def2;
    private String def3;
    private String def4;
    private String def5;
    private String def6;
    private String def7;
    private String def8;
    private String def9;
    private String def10;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 修改人
     */
    private String modifyUser;


}

